> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/sales-channel-product-stock.md).

# Sales Channel Product Stock

## Retrieves all of inserted extra product stocks from related channel

> Retrieves all of inserted extra product stocks data from related channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"ProductStock":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"product":{"type":"integer"},"unit_type":{"type":"string","enum":["qty","kg"]},"stock":{"type":"integer"},"sold_quantity_unreported":{"type":"integer"},"extra_field":{"type":"object"},"stock_list":{"type":"integer","description":"Related Stock List"},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}}},"paths":{"/api/v1/channel/{channel_id}/extra_product_stocks/{id}/":{"get":{"summary":"Retrieves all of inserted extra product stocks from related channel","description":"Retrieves all of inserted extra product stocks data from related channel","tags":["SalesChannelProductStock"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductStock"}}}}}}}}}}
```

## Retrieves all of inserted extra product stocks from related channel

> Retrieves all of inserted extra product stocks data from related channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"ProductStock":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"product":{"type":"integer"},"unit_type":{"type":"string","enum":["qty","kg"]},"stock":{"type":"integer"},"sold_quantity_unreported":{"type":"integer"},"extra_field":{"type":"object"},"stock_list":{"type":"integer","description":"Related Stock List"},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}}},"paths":{"/api/v1/channel/{channel_id}/extra_product_stocks/{id}/detailed/":{"get":{"summary":"Retrieves all of inserted extra product stocks from related channel","description":"Retrieves all of inserted extra product stocks data from related channel","tags":["SalesChannelProductStock"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductStock"}}}}}}}}}}
```

## Retrieves all of inserted product stocks from related channel

> Retrieves all of inserted product stocks data from related channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"ProductStock":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"product":{"type":"integer"},"unit_type":{"type":"string","enum":["qty","kg"]},"stock":{"type":"integer"},"sold_quantity_unreported":{"type":"integer"},"extra_field":{"type":"object"},"stock_list":{"type":"integer","description":"Related Stock List"},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}}},"paths":{"/api/v1/channel/{channel_id}/product_stocks/{id}/":{"get":{"summary":"Retrieves all of inserted product stocks from related channel","description":"Retrieves all of inserted product stocks data from related channel","tags":["SalesChannelProductStock"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductStock"}}}}}}}}}}
```

## Retrieves all of inserted product stocks from related channel

> Retrieves all of inserted product stocks data from related channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"ProductStock":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"product":{"type":"integer"},"unit_type":{"type":"string","enum":["qty","kg"]},"stock":{"type":"integer"},"sold_quantity_unreported":{"type":"integer"},"extra_field":{"type":"object"},"stock_list":{"type":"integer","description":"Related Stock List"},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}}},"paths":{"/api/v1/channel/{channel_id}/product_stocks/{id}/detailed/":{"get":{"summary":"Retrieves all of inserted product stocks from related channel","description":"Retrieves all of inserted product stocks data from related channel","tags":["SalesChannelProductStock"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductStock"}}}}}}}}}}
```

## List all of product stocks from related channel

> Lists all of product stocks data from related channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"product__attributes":{"name":"product__attributes","in":"query","description":"Filter by attributes in JSON format.","schema":{"type":"string"}},"product__localized_attributes":{"name":"product__localized_attributes","in":"query","description":"Filter by localized attributes in JSON format.","schema":{"type":"string"}},"product":{"name":"product","in":"query","required":false,"description":"Filter by Product ID.","schema":{"type":"integer","format":"int64"}},"product_stock__stock":{"name":"stock","in":"query","description":"Filter by product's stock value","required":false,"schema":{"type":"integer"}},"product_stock__unit_type":{"name":"unit_type","in":"query","description":"Filter by product's unit type value","required":false,"schema":{"type":"string","enum":["qty","kg"]}},"product_stock__sold_quantity_unreported":{"name":"sold_quantity_unreported","in":"query","description":"Filter by product's sold quantity unreported value","required":false,"schema":{"type":"integer"}},"pk__in":{"name":"pk__in","in":"query","description":"Filter by multiple primary key values (comma-separated list of integers)","required":false,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":false},"product_stock__stock_list":{"name":"stock_list","in":"query","description":"Filter by product's stock_list data","required":false,"schema":{"type":"array"}}},"schemas":{"ProductStock":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"product":{"type":"integer"},"unit_type":{"type":"string","enum":["qty","kg"]},"stock":{"type":"integer"},"sold_quantity_unreported":{"type":"integer"},"extra_field":{"type":"object"},"stock_list":{"type":"integer","description":"Related Stock List"},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/product_stocks/":{"get":{"summary":"List all of product stocks from related channel","description":"Lists all of product stocks data from related channel","tags":["SalesChannelProductStock"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/product__attributes"},{"$ref":"#/components/parameters/product__localized_attributes"},{"$ref":"#/components/parameters/product"},{"$ref":"#/components/parameters/product_stock__stock"},{"$ref":"#/components/parameters/product_stock__unit_type"},{"$ref":"#/components/parameters/product_stock__sold_quantity_unreported"},{"$ref":"#/components/parameters/pk__in"},{"$ref":"#/components/parameters/product_stock__stock_list"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"next":{"type":"string","description":"Next page URL","nullable":true},"previous":{"type":"string","description":"Previous page URL","nullable":true},"results":{"type":"array","items":{"$ref":"#/components/schemas/ProductStock"}}}}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List all of product stocks from related channel

> Lists all of product stocks data from related channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"product__attributes":{"name":"product__attributes","in":"query","description":"Filter by attributes in JSON format.","schema":{"type":"string"}},"product__localized_attributes":{"name":"product__localized_attributes","in":"query","description":"Filter by localized attributes in JSON format.","schema":{"type":"string"}},"product":{"name":"product","in":"query","required":false,"description":"Filter by Product ID.","schema":{"type":"integer","format":"int64"}},"product_stock__stock":{"name":"stock","in":"query","description":"Filter by product's stock value","required":false,"schema":{"type":"integer"}},"product_stock__unit_type":{"name":"unit_type","in":"query","description":"Filter by product's unit type value","required":false,"schema":{"type":"string","enum":["qty","kg"]}},"product_stock__sold_quantity_unreported":{"name":"sold_quantity_unreported","in":"query","description":"Filter by product's sold quantity unreported value","required":false,"schema":{"type":"integer"}},"pk__in":{"name":"pk__in","in":"query","description":"Filter by multiple primary key values (comma-separated list of integers)","required":false,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":false},"product_stock__stock_list":{"name":"stock_list","in":"query","description":"Filter by product's stock_list data","required":false,"schema":{"type":"array"}}},"schemas":{"ProductStock":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"product":{"type":"integer"},"unit_type":{"type":"string","enum":["qty","kg"]},"stock":{"type":"integer"},"sold_quantity_unreported":{"type":"integer"},"extra_field":{"type":"object"},"stock_list":{"type":"integer","description":"Related Stock List"},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/product_stocks/detailed/":{"get":{"summary":"List all of product stocks from related channel","description":"Lists all of product stocks data from related channel","tags":["SalesChannelProductStock"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/product__attributes"},{"$ref":"#/components/parameters/product__localized_attributes"},{"$ref":"#/components/parameters/product"},{"$ref":"#/components/parameters/product_stock__stock"},{"$ref":"#/components/parameters/product_stock__unit_type"},{"$ref":"#/components/parameters/product_stock__sold_quantity_unreported"},{"$ref":"#/components/parameters/pk__in"},{"$ref":"#/components/parameters/product_stock__stock_list"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"next":{"type":"string","description":"Next page URL","nullable":true},"previous":{"type":"string","description":"Previous page URL","nullable":true},"results":{"type":"array","items":{"$ref":"#/components/schemas/ProductStock"}}}}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List all of inserted product stocks from related channel

> Lists all of inserted product stocks data from related channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"ProductStock":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"product":{"type":"integer"},"unit_type":{"type":"string","enum":["qty","kg"]},"stock":{"type":"integer"},"sold_quantity_unreported":{"type":"integer"},"extra_field":{"type":"object"},"stock_list":{"type":"integer","description":"Related Stock List"},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}}},"paths":{"/api/v1/channel/{channel_id}/product_stocks/inserts/":{"get":{"summary":"List all of inserted product stocks from related channel","description":"Lists all of inserted product stocks data from related channel","tags":["SalesChannelProductStock"],"parameters":[{"$ref":"#/components/parameters/channel_path"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductStock"}}}}}}}}}}
```

## List all of updated product stocks from related channel

> Lists all of updated product stocks data from related channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"ProductStock":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"product":{"type":"integer"},"unit_type":{"type":"string","enum":["qty","kg"]},"stock":{"type":"integer"},"sold_quantity_unreported":{"type":"integer"},"extra_field":{"type":"object"},"stock_list":{"type":"integer","description":"Related Stock List"},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}}},"paths":{"/api/v1/channel/{channel_id}/product_stocks/updates/":{"get":{"summary":"List all of updated product stocks from related channel","description":"Lists all of updated product stocks data from related channel","tags":["SalesChannelProductStock"],"parameters":[{"$ref":"#/components/parameters/channel_path"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductStock"}}}}}}}}}}
```

## List all of inserted or updated product stocks from related channel

> Lists all of inserted or updated product stocks data from related channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"ProductStock":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"product":{"type":"integer"},"unit_type":{"type":"string","enum":["qty","kg"]},"stock":{"type":"integer"},"sold_quantity_unreported":{"type":"integer"},"extra_field":{"type":"object"},"stock_list":{"type":"integer","description":"Related Stock List"},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}}},"paths":{"/api/v1/channel/{channel_id}/product_stocks/inserts_or_updates/":{"get":{"summary":"List all of inserted or updated product stocks from related channel","description":"Lists all of inserted or updated product stocks data from related channel","tags":["SalesChannelProductStock"],"parameters":[{"$ref":"#/components/parameters/channel_path"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductStock"}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/sales-channel-product-stock.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
